#ifndef MANGLE_PROGRESS_H
#define MANGLE_PROCESS_H

struct progress_state
{
  const char *msg;
  int N;
  int old_p;
};

extern void progress_start(struct progress_state *state, const char *msg, int N);
extern void progress(struct progress_state *state, int i);
extern void progress_finish(struct progress_state *state);

#endif
